
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>输入框规则验证 / 憋错料</title>

    <meta name="description" content="输入框规则验证 开发过程中碰到有输入框的页面一般都需要对输入框进行某种规则验证,这里对常见规则验证进行了整理,Js实现网页端输入框规则验证,代码: var verify = (function(){ var verify = { /** * 验证是否未定义或null或空字符串 * @param {Object} str */ _isBlank:function(str){ return str == 'undefined' || String(str) == 'null' || $.trim(str) == '">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">输入框规则验证</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>开发过程中碰到有输入框的页面一般都需要对输入框进行某种规则验证，这里对常见规则验证进行了整理，Js实现网页端输入框规则验证，代码：</p>
<pre>var verify = (function(){
    var verify = {
        /**
         * 验证是否未定义或null或空字符串
         * @param {Object} str
         */
        _isBlank:function(str){
            return str == ‘undefined‘ || String(str) == ‘null‘ || $.trim(str) == ‘‘;
        },
        /**
         * 验证是否为数字
         * @param {Object} str
         */
        isNumber:function(str){
            var pattern = /^[0-9]+$/;
            if(this._isBlank(str) || !pattern.test(str)){
                return false;
            }
            return true;
        },
        /**
         * 验证是否邮政编码
         * @param {Object} str
         */
        isPostCode:function(str){
            var pattern = /^[0-9]{6}$/;
            if(this._isBlank(str) || !pattern.test(str)){
                return false;
            }
            return true;
        },
        /**
         * 验证是否全中文字符
         * @param {Object} str
         */
        isZhString:function(str){
            var parttern = /^[\u4e00-\u9fa5]+$/;
            if(this._isBlank(str) || !parttern.test(str)){
                return false;
            }
            return true;
        },
        /**
         * 验证是否手机号
         * 严格判断，即现在可用号码段
         * @param {Object} str
         */
        isStrictMobile:function(str){
            var pattern = /^0{0,1}(13[4-9]|15[7-9]|15[0-2]|18[7-8])[0-9]{8}$/;
            if(this._isBlank(str) || !pattern.test(str)){
                return false;
            }
            return true;
        },
        /**
         * 验证是否手机号
         * 简单判断，即符合手机号规则
         * @param {Object} str
         */
        isSimpleMobile:function(str){
            var pattern = /^1[0-9]{10}$/;
            if(this._isBlank(str) || !pattern.test(str)){
                return false;
            }
            return true;
        },
        /**
         * 验证是否邮箱
         * @param {Object} str
         */
        isEmail:function(str){
            var pattern = /^[-_.A-Za-z0-9][email&#160;protected][-_.A-Za-z0-9]+(\.[-_.A-Za-z0-9]+)+$/;
            if(this._isBlank(str) || !pattern.test(str)){
                return false;
            }
            return true;
        },
        /**
         * 验证是否密码
         * 6-20个字母、数字、下划线
         * @param {Object} str
         */
        isPassWord:function(str){
            var pattern = /^(\w){6,20}$/;
            if(this._isBlank(str) || !pattern.test(str)){
                return false;
            }
            return true;
        },
        /**
         * 验证是否用户名
         * 5-20个以字母开头、可带数字、"_"、"."
         * @param {Object} str
         */
        isUserName:function(str){
            var pattern = /^[a-zA-Z]{1}([a-zA-Z0-9]|[._]){4,19}$/;
            if(this._isBlank(str) || !pattern.test(str)){
                return false;
            }
            return true;
        }
    };
    return verify;
})()</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 03:26:48 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>输入框规则验证的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzEvlA4.html" rel="bookmark">EasyUI 扩展自定义EasyUI校验规则 验证规则（常用的）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				例如 校验输入框只能录入0-1000之间 最多有2位小数的数字 表单&lt;input type=&quot;text&quot; id=&quot;rate&quot; name=&quot;rate&quot; required=&quot;true&quot; class=&quot;easyui-validatebox&quot;  validType=&quot;rateCheck[0,1000]&quot;  maxlength=&quot;6&quot; /&gt; $.extend($.f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KvmnKM.html" rel="bookmark">解决升级SQL Server时遇到&lbrack;报表服务器数据库未处于支持的兼容性级别或者无法建立连接&rsqb;规则验证不通过问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PS:标题有点长…… 在将SQL Server 2008 R2升级到SQL Server 2014时,遇到如下的规则验证错误: RS_ValidDatabaseVersion 检查该版本的报表服务器数据库能否由 Microsoft SQL Server 2014 报表服务器使用. 失败 报表服务器数据库未处于支持的兼容性级别或者无法建立连接.请使用 Reporting Services 配置管理器验证报表服务器配置,并且使用 SQL Server 管理工具验证兼容性级别. 具体提示信息可能是:有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41KZrJ0.html" rel="bookmark">go语音基础之可见性规则验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.可见性规则验证 如果想使用别的包的函数.结构体类型.络构体成员. 函数名.类型名,结构体成员变量名,首字母必段大写,可见. 如果首字母是小写,只能在同一个包里使用. 文件夹样例: 示例: vi test.go package test import &quot;fmt&quot; //如果首字母是小写,只能在同一个包里使用 type stu struct { id int } type Stu struct { //id int //如果首字母是小写,只能在同一个包里使用 Id int } //如果首			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e7Nl54.html" rel="bookmark">EasyUI 扩展自己定义EasyUI校验规则 验证规则（经常使用的）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比如 校验输入框仅仅能录入0-1000之间 最多有2位小数的数字 表单&lt;input type=&quot;text&quot; id=&quot;rate&quot; name=&quot;rate&quot; required=&quot;true&quot; class=&quot;easyui-validatebox&quot;  validType=&quot;rateCheck[0,1000]&quot;  maxlength=&quot;6&quot; /&gt; $.extend($.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGdw160.html" rel="bookmark">validatebox实现多重规则验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为Easyui的校验插件没有实现多重校验能力是一种缺憾.比如说,既要限制格式为email,同时要求最长长度为20,我们就要扩展一种规则,而对长度的要求很容易变化,如果变成要求30,我们又得扩张一种规则,所以对于多重验证的需求很必要. 实现思路较为简单,扩展一种新规则:multiple,入参为其它规则,然后遍历每个规则,遇到校验不通过的时候就返回失败,并且返回对应的提示消息.思路比较简单,不过正则表达式技巧的使用还是很漂亮的,个人岁暂时不动正则,不过觉得它很优美,所以我很快就会懂的,哈哈.直接上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02wmLE3.html" rel="bookmark">C&num; 字符串 数据类型 判断 与特定规则验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				验证字符串格式 1)判断字符串是否是常见数据类型,decimal,foalt,double,datetime,int等等 2)验证字符串符合特定规则    (1)邮箱地址,IP地址     (2)纯数字,纯字母(大写字母/小写字母),数字与字母   (3)电话号码,手机号码,出生日期 电子邮件格式.固定电话号码和手机号码格式等,我们经常会需要用到正则表达式. 但是正则表达式用起来性能会低一点,所以在需要验证的时候能不使用正则表达式还是尽量不要使用正则表达式. using System; usin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AK5Gz0.html" rel="bookmark">easyui关于validatebox实现多重规则验证的实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考资料 http://blog.csdn.net/jumtre/article/details/38510975 http://blog.csdn.net/lybwwp/article/details/9028741/ 方法一: 自从1.3.2版本开始,validatebox自身已经支持多重校验了,例如: &lt;input class=&quot;easyui-validatebox&quot; data-options=&quot;required:true,validType:['email','			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47BlxD3.html" rel="bookmark">thinkphp 如何使用内置的验证码规则验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看了手册,一脸蒙蔽,完全不知道手册写的什么: 不废话 直接写案例 第一步 验证器中的验证规则如下: namespace app\index\validate; use think\Validate; class User extends Validate { protected $rule = [ 'ceshi'=&gt;['require','captcha'] ]; protected $message = [ ]; protected $scene = [ 'edit' =&gt; ['ceshi'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/kMLjZW3.html" rel="bookmark">python &colon;表单验证--对每一个输入框进行验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot; &quot;http://www.w3.org/TR/html4/loose.dtd&quot;&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;/&gt; &lt;title&gt;Title&lt;/title&gt; &lt;style&gt; .error{ color			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/NMyoEj3.html" rel="bookmark" class="title">myeclipse 10创建maven项目</a>
					<div>
						创建maven项目,这里使用的不是myeclipse自带的maven插件,而是自己 重新安装的插件,就不啰嗦了,直接上图吧 1.先是安装maven插件,将maven插件解压把它放进E:\xuan\My ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0bvx90.html" rel="bookmark" class="title">出差&lpar;八&rpar;</a>
					<div>
						昨晚跟同事聊到很晚,话题是关于项目和公司团队建设方面,公司虽小,面临问题还不少,该同事也是站在一个客观的角度提出了一些存在的问题,既然选择就不轻言放弃,让我明确了当前人员管理也是重中之重. 一早室外小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBo5p0.html" rel="bookmark" class="title">谈谈GIS与地理学语言</a>
					<div>
						二十一世纪初,也就是我们这代人生活的昨天和今天,伴随着&quot;空间觉醒&quot;,GIS逐渐被人们所熟知.以地学原理为依托的地理信息系统,在学术界被称为是第三代地理学语言.这个概念首先是由号称是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QNZ6LM.html" rel="bookmark" class="title">java内存划分</a>
					<div>
						Java能被广泛使用,很重要的就是GC(Garbage Collection,垃圾回收)机制,也是Java与C/C++的主要区别之一.GC机制带来的好处就是不需要我们过多地关注内存泄漏导致的OOM,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OaOXKM.html" rel="bookmark" class="title">Linux下Tomcat的启动和停止（包括杀死tomcat进程）</a>
					<div>
						打开终端 cd /java/tomcat #执行 bin/startup.sh #启动tomcat bin/shutdown.sh #停止tomcat tail -f logs/catalina.ou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M61qod4.html" rel="bookmark" class="title">&num;8 bash变量中的字符串处理</a>
					<div>
						一个完整的程序,一般包括4类文件: 二进制文件(可执行文件).头和库文件.帮助文件.配置文件: bash--CLI(命令行接口)的一种 bash同样属于完整的应用程序,也有这四类文件: bash的配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MomE5l3.html" rel="bookmark" class="title">Objective-c&colon;UIView视图与组件控件</a>
					<div>
						一.UIView常见属性 (1)@property(nonatomic,readonly)UIView *superview; //获取自己的父控件对象 (2)@property(nonatomic, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QwYOe0.html" rel="bookmark" class="title">nopCommerce架构分析系列（二）数据Cache</a>
					<div>
						原文(http://www.cnblogs.com/gusixing/archive/2012/04/12/2443799.html)非常感谢作者顾思行的分享! 序言 在很多访问量较大的系统中,尤其在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5pWD3.html" rel="bookmark" class="title">CSU 1425 Prime Summation</a>
					<div>
						原题链接:http://acm.csu.edu.cn/OnlineJudge/problem.php?id=1425 DP题. f[i][j]表示当前数字为i,分解式中最大质数为j的方案数,那么,状态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rm7PpM.html" rel="bookmark" class="title">Windows开发中一些常用的辅助工具</a>
					<div>
						经常有人问如何快速的定位和解决问题,很多时候答案就是借助工具, 记录个人Windows开发中个人常用的一些辅助工具. (1) Spy++ 相信windows开发中应该没人不知道这个工具, 我们常用这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBdjY0.html" rel="bookmark" class="title">GNS3 配置IPSec Dynamic LAN-TO-LAN VPN</a>
					<div>
						1.实验拓扑 2.基础网络配置 R1配置: service dhcp ip dhcp excluded-address 16.1.1.1 ip dhcp pool net16 network 16.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDjp9o3.html" rel="bookmark" class="title">Google副总裁的管理经验</a>
					<div>
						一.拥挤其实是创新.拥挤喧闹的工作环境会引燃更多的创意火花.办公室应该充满能量和互动,而不是条块分割和等级分化. 二.战略和策略并举.许多人不懂得战略和策略的区别,或者他们认为自己只需要其中一样,其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OpA9r4.html" rel="bookmark" class="title">文档在线预览开源实现方案一：OpenOffice &plus; SwfTools &plus; FlexPaper</a>
					<div>
						在文档在线预览方面,项目组之前使用的是Microsoft office web apps, 由于该方案需要按照微软License付费,项目经理要我预研一个文档在线预览的开源实现方案.仔细钻入该需求发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49vxBpM.html" rel="bookmark" class="title">sql contains 用法</a>
					<div>
						select * from tb where charindex('abcdefgh',name)&gt;0select * from tb where patindex('%abcdefgh%',n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeolz0.html" rel="bookmark" class="title">MapReduce中的Join算法</a>
					<div>
						在关系型数据库中Join是非常常见的操作,各种优化手段已经到了极致.在海量数据的环境下,不可避免的也会碰到这种类型的需求,例如在数据分析时需要从不同的数据源中获取数据.不同于传统的单机模式,在分布式存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02oeEB3.html" rel="bookmark" class="title">GPS技术（二）</a>
					<div>
						&lt;uses-permission android:name=&quot;android.permission.ACCESS_FINE_LOCATION&quot;/&gt; 1 //邻近警告 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47opB14.html" rel="bookmark" class="title">10&period;8 noip模拟试题</a>
					<div>
						  1.花 (flower.cpp/c/pas) [问题描述] 商店里出售n种不同品种的花.为了装饰桌面,你打算买m支花回家.你觉得放两支一样的花很难看,因此每种品种的花最多买1支.求总共有几种不同的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l9eOE3.html" rel="bookmark" class="title">yii2 Pjax的使用</a>
					<div>
						有两个例子:刷新时间和数据显示排序 1.刷新时间 (1)控制器中的方法:Time public function actionTime() { return $this-&gt;render('tim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXDZD0.html" rel="bookmark" class="title">玩转单元测试之Testing Spring MVC Controllers</a>
					<div>
						玩转单元测试之 Testing Spring MVC Controllers 转载注明出处:http://www.cnblogs.com/wade-xu/p/4311657.html The Spri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXGVoX4.html" rel="bookmark" class="title">springmvc&plus;freemarker的简单demo</a>
					<div>
						原文:springmvc+freemarker的简单demo 源代码下载地址:http://www.zuidaima.com/share/1550463645682688.htm 简单演示如果在spr ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
